Summary:	Command line tools to access EXIF extensions in JPEG files
Name:		exif
Version:	0.6.22
%define subrel 1
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Graphics/Photography
URL:		https://sourceforge.net/projects/libexif
Source:		https://downloads.sourceforge.net/project/libexif/%{name}/%{version}/%{name}-%{version}.tar.xz
Patch:		f6334d9d32437ef13dc902f0a88a2be0063d9d1c.patch
Requires:	popt
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(popt)
BuildRequires:	gettext-devel

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

This package contains a command line frontend for the EXIF library.

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%check
make check

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS ChangeLog README
%{_bindir}/*
%{_mandir}/man*/*


%changelog
* Wed Jun 02 2021 ns80 <ns80> 0.6.22-1.1.mga8
+ Revision: 1729210
- add Fedora patch for CVE-2021-27815 (mga#29038)

* Thu May 21 2020 neoclust <neoclust> 0.6.22-1.mga8
+ Revision: 1586709
- New version 0.6.22
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.6.21-11.mga8
+ Revision: 1512105
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.6.21-10.mga7
+ Revision: 1297640
- Mageia 7 Mass Rebuild

* Wed Jun 06 2018 wally <wally> 0.6.21-9.mga7
+ Revision: 1234998
- fix build on aarch64
- use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 0.6.21-8.mga6
+ Revision: 939312
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.21-7.mga5
+ Revision: 749930
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.21-6.mga5
+ Revision: 679061
- Mageia 5 Mass Rebuild
+ sander85 <sander85>
- Convert to %%autosetup

* Fri Oct 18 2013 umeabot <umeabot> 0.6.21-5.mga4
+ Revision: 521723
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 0.6.21-4.mga3
+ Revision: 391812
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 26 2012 luigiwalser <luigiwalser> 0.6.21-2.mga3
+ Revision: 274557
- use make check during build (mga #6777)

* Fri Jul 13 2012 luigiwalser <luigiwalser> 0.6.21-1.mga3
+ Revision: 270503
- 0.6.21 (fixes several security issues)
- remove upstreamed patch

* Wed May 11 2011 sander85 <sander85> 0.6.20-1.mga1
+ Revision: 97269
- new version 0.6.20
- clean spec
- imported package exif


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.19-2mdv2011.0
+ Revision: 605110
- rebuild

* Fri Nov 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.19-1mdv2010.1
+ Revision: 467651
- Update to new version 0.6.19
- Rediff wformat patch

* Wed Aug 12 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.17-2mdv2010.0
+ Revision: 415374
- fix -Wformat=error warnings

* Wed Nov 19 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.17-1mdv2009.1
+ Revision: 304468
- New version 0.6.17
- Fix license

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.6.15-3mdv2009.0
+ Revision: 220733
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.6.15-2mdv2008.1
+ Revision: 149706
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jun 21 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.6.15-1mdv2008.0
+ Revision: 42326
- New upstream: 0.6.15


* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-11 11:51:13 (63427)
- rebuild

* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-11 11:48:45 (63426)
Import exif

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 0.6.9-3mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.9-2mdk
- Rebuild

* Sat Nov 27 2004 Till Kamppeter <till@mandrakesoft.com> 0.6.9-1mdk
- Updated to version 0.6.9.

